<?php
/*
  后台预览文件
*/
 if(!isset($_POST['catId'])&&!isset($_POST['title'])&&!isset($_POST['desc'])&&!isset($_POST['content1'])&&!isset($_POST['recommend'])&&!isset($_POST['newsId'])){//如果没有设置这些提交值，则返回错误，并退出。
   echo "<script>alert('文章没有填写完整，或者提交不全！');history.go(-1);</script>";
   exit;
}else{//否则
  $title=$_POST['title'];//获得标题
  $desc=$_POST['desc'];//获得描述
  $content=$_POST['content1'];//获得内容
  $recommend=$_POST['recommend'];//推荐是否推荐
  if($title==""){//如果标题为空，则显示错误
 	echo "<script>alert('请输入文章标题');history.go(-1);</script>";
 	exit;
 }
 if($desc==""){//如果描述为空，则显示错误
   echo "<script>alert('请输入文章描述');history.go(-1);</script>";
 	exit;
 }
  if($content==""){//如果内容为空，则显示错误
   echo "<script>alert('请输入文章内容');history.go(-1);</script>";
 	exit;
 }
  if($recommend==""){//如果推荐为空，则显示错误
 	echo "<script>alert('请选择是否推荐！');history.go(-1);</script>";
 	exit;
 }
 if(strlen($title)>50){//如果标题字符大于50，则显示字符太长
   echo "<script>alert('文章标题太长！');history.go(-1);</script>";
   exit;
 }
  if(strlen($desc)>300){//如果描述大于300字符，则显示描述太长
   echo "<script>alert('文章描述太长！');history.go(-1);</script>";
   exit;
 }
require_once('smarty.php');
include_once('conn.php');
require_once('header.php');
$smarty->assign('title',$title);//赋值给模板
$smarty->assign('desc',$desc);
$smarty->assign('content',$content);
$smarty->assign('author',"admin");//作者显示为admin
$time=date("Y-m-d H:i:s",time());//显示当前时间
$smarty->assign('time',$time);
 $smarty->display('preview.html');//输出模板
include_once('serch.php');
include_once('sidebarName.php');
include_once('sidebarTime.php');
include_once('siderbarRecommend.php');
include_once('footer.php');
}
?>